Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Functions | Variables
join.hpp File Reference

## Classes
struct | ranges::join_view< Rng >
struct | ranges::join_with_view< Rng, ValRng >
struct | ranges::views::cpp20_join_fn
struct | ranges::views::join_base_fn
struct | ranges::views::join_bind_fn
struct | ranges::views::join_fn

## Typedefs
template<typename Rng >
using | ranges::cpp20::join_view = ranges::join_view< Rng >

## Functions
template<typename Rng >
| ranges::join_view (Rng &&) -> join_view< views::all_t< Rng >>
template<typename Rng , typename ValRng >
| ranges::join_with_view (Rng &&, ValRng &&) -> join_with_view< views::all_t< Rng >, views::all_t< ValRng >>

## Variables
constexpr ranges::views::view_closure< ranges::views::cpp20_join_fn > | ranges::cpp20::views::join {}

## Typedef Documentation

## ◆ join_view

template<typename Rng >

using ranges::cpp20::join_view = typedef ranges::join_view<Rng>

Precondition
  requires `input_range<Rng> && view_<Rng> && input_range<iter_reference_t<iterator_t<Rng>>> && (std::is_reference<iter_reference_t<iterator_t<Rng>>>::value || view_<iter_value_t<iterator_t<Rng>>>)` //

## Function Documentation

## ◆ join_view()

template<typename Rng >

ranges::join_view | ( | Rng && |  | ) | -> join_view< views::all_t< Rng >>
| explicit

Precondition
  requires `views::joinable_range<Rng>`

## ◆ join_with_view()

template<typename Rng , typename ValRng >

ranges::join_with_view | ( | Rng && | ,
|  | ValRng && |
| ) |  | -> join_with_view< views::all_t< Rng >, views::all_t< ValRng >>
| explicit

Precondition
  requires `views::joinable_with_range<Rng, ValRng>`

References ranges::make_view_closure.